from flask import Flask
from flask_restful import Resource, Api
from flask_restful import reqparse
from flask_cors import CORS
import pandas as pd

from handler import *

app = Flask(__name__)
CORS(app)
api = Api(app)

parser = reqparse.RequestParser()
parser.add_argument('st', type=int)
parser.add_argument('et', type=int)


class Check(Resource):
    def get(self, game):
        args = parser.parse_args()
        st = args['st']
        et = args['et']
        if not all(args.values()):
            return {'msg': '缺少参数'}
        date = pd.Timestamp(st, unit='s', tz='Asia/Shanghai').strftime('%Y-%m-%d')
        where = {
            '_ut': {'$gte': st, '$lte': et}
        }
        factory = select_db(game, date)
        res_user = check_data('user', where, factory)
        res_paylist = check_data('paylist', where, factory)
        res_event = check_data('event', where, factory)

        return {
            'user': res_user,
            'paylist': res_paylist,
            'event': res_event,
        }


api.add_resource(Check, '/<string:game>')

if __name__ == '__main__':
    app.run(debug=True, host='0.0.0.0')
